/*==================================================================================================
*   Project              : RTD AUTOSAR 4.4
*   Platform             : CORTEXM
*   Peripheral           : IPV_FTFC
*   Dependencies         : 
*
*   Autosar Version      : 4.4.0
*   Autosar Revision     : ASR_REL_4_4_REV_0000
*   Autosar Conf.Variant :
*   SW Version           : 1.0.0
*   Build Version        : S32K1_RTD_1_0_0_HF01_D2109_ASR_REL_4_4_REV_0000_20210907
*
*   (c) Copyright 2020-2021 NXP Semiconductors
*   All Rights Reserved.
*
*   NXP Confidential. This software is owned or controlled by NXP and may only be
*   used strictly in accordance with the applicable license terms. By expressly
*   accepting such terms or by downloading, installing, activating and/or otherwise
*   using the software, you are agreeing that you have read, and that you agree to
*   comply with and are bound by, such license terms. If you do not agree to be
*   bound by the applicable license terms, then you may not retain, install,
*   activate or otherwise use the software.
==================================================================================================*/

/**
*   @file       Ftfc_Eep_Ip_VS_0_PBcfg.c
*
*   @addtogroup FTFC_EEP_IP
*   @{
*/

#ifdef __cplusplus
extern "C"{
#endif


/*==================================================================================================
*                                          INCLUDE FILES
* 1) system and project includes
* 2) needed interfaces from external units
* 3) internal and external interfaces from this unit
==================================================================================================*/
#include "Ftfc_Eep_Ip_Cfg.h"

/*==================================================================================================
*                                 SOURCE FILE VERSION INFORMATION
==================================================================================================*/
#define FTFC_EEP_IP_VS_0_PBCFG_VENDOR_ID_C                      43
#define FTFC_EEP_IP_VS_0_PBCFG_AR_RELEASE_MAJOR_VERSION_C       4
#define FTFC_EEP_IP_VS_0_PBCFG_AR_RELEASE_MINOR_VERSION_C       4
#define FTFC_EEP_IP_VS_0_PBCFG_AR_RELEASE_REVISION_VERSION_C    0
#define FTFC_EEP_IP_VS_0_PBCFG_SW_MAJOR_VERSION_C               1
#define FTFC_EEP_IP_VS_0_PBCFG_SW_MINOR_VERSION_C               0
#define FTFC_EEP_IP_VS_0_PBCFG_SW_PATCH_VERSION_C               0

/*==================================================================================================
*                                       FILE VERSION CHECKS
==================================================================================================*/

/* Version checks for Ftfc_Eep_Ip_Cfg.h */
#if (FTFC_EEP_IP_VS_0_PBCFG_VENDOR_ID_C != FTFC_EEP_IP_CFG_VENDOR_ID_H)
    #error "Ftfc_Eep_Ip_VS_0_PBcfg.c and Ftfc_Eep_Ip_Cfg.h have different vendor IDs!"
#endif
#if ((FTFC_EEP_IP_VS_0_PBCFG_AR_RELEASE_MAJOR_VERSION_C    != FTFC_EEP_IP_CFG_AR_RELEASE_MAJOR_VERSION_H) || \
     (FTFC_EEP_IP_VS_0_PBCFG_AR_RELEASE_MINOR_VERSION_C    != FTFC_EEP_IP_CFG_AR_RELEASE_MINOR_VERSION_H) || \
     (FTFC_EEP_IP_VS_0_PBCFG_AR_RELEASE_REVISION_VERSION_C != FTFC_EEP_IP_CFG_AR_RELEASE_REVISION_VERSION_H) \
    )
    #error "Ftfc_Eep_Ip_VS_0_PBcfg.c and Ftfc_Eep_Ip_Cfg.h are for different AUTOSAR versions!"
#endif
#if ((FTFC_EEP_IP_VS_0_PBCFG_SW_MAJOR_VERSION_C != FTFC_EEP_IP_CFG_SW_MAJOR_VERSION_H) || \
     (FTFC_EEP_IP_VS_0_PBCFG_SW_MINOR_VERSION_C != FTFC_EEP_IP_CFG_SW_MINOR_VERSION_H) || \
     (FTFC_EEP_IP_VS_0_PBCFG_SW_PATCH_VERSION_C != FTFC_EEP_IP_CFG_SW_PATCH_VERSION_H)    \
    )
    #error "Ftfc_Eep_Ip_VS_0_PBcfg.c and Ftfc_Eep_Ip_Cfg.h have different SW versions!"
#endif

/*==================================================================================================
*                           LOCAL TYPEDEFS (STRUCTURES, UNIONS, ENUMS)
==================================================================================================*/

/*==================================================================================================
*                                          LOCAL MACROS
==================================================================================================*/

/*==================================================================================================
*                                         LOCAL CONSTANTS
==================================================================================================*/

/*==================================================================================================
*                                         LOCAL VARIABLES
==================================================================================================*/

/*==================================================================================================
                                        FUNCTION PROTOTYPES
==================================================================================================*/

/*==================================================================================================
*                                        GLOBAL CONSTANTS
==================================================================================================*/
#define EEP_START_SEC_CONFIG_DATA_UNSPECIFIED
#include "Eep_Memmap.h"

const Ftfc_Eep_Ip_ConfigType EepFtfcCfg_VS_0 =
{
    /** acCallBackPtr                */ NULL_PTR,
    /** startEepromAccessNotifPtr    */ NULL_PTR,
    /** finishedEepromAccessNotifPtr */ NULL_PTR
};

#define EEP_STOP_SEC_CONFIG_DATA_UNSPECIFIED
#include "Eep_Memmap.h"

/*==================================================================================================
*                                        GLOBAL VARIABLES
==================================================================================================*/

/*==================================================================================================
*                                    LOCAL FUNCTION PROTOTYPES
==================================================================================================*/

/*==================================================================================================
*                                         LOCAL FUNCTIONS
==================================================================================================*/

/*==================================================================================================
*                                        GLOBAL FUNCTIONS
==================================================================================================*/

#ifdef __cplusplus
}
#endif

/** @} */
